#
# spec file for package nautilus-terminal
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define have_lang 0

Name:           nautilus-terminal
Version:        1.0
Release:        12.2
Summary:        Integrated Terminal for the Nautilus File Browser
License:        GPL-3.0+
Group:          System/GUI/GNOME
Url:            http://software.flogisoft.com/nautilus-terminal/
Source:         %{name}_%{version}_src.tar.gz
# PATCH-FIX-UPSTREAM nautilus-terminal-vte2.91.patch dimstar@opensuse.org -- Fix usage with Vte 2.91.
Patch0:         nautilus-terminal-vte2.91.patch
# For directory ownership:
BuildRequires:  gobject-introspection
BuildRequires:  python-nautilus
BuildRequires:  vte-devel
Requires:       nautilus
%if %{have_lang}
Recommends:     %{name}-lang
%endif
Recommends:     python-xdg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Nautilus Terminal is an integrated terminal for the Nautilus file browser.

%if %{have_lang}
%lang_package
%endif

%prep
%setup -q -n %{name}_%{version}_src
if pkg-config --exists vte-2.91; then
# patch0 only applies when built against Vte 2.91
%patch0 -p1
fi
sed -i '
s:/usr/share/doc:%{_docdir}/%{name}:
s:/usr/share:%{_datadir}:
s:/usr/lib:%{_libdir}:
' install.sh

%build

%install
./install.sh --package %{buildroot}
%if %{have_lang}
%find_lang %{name}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/
%{_datadir}/nautilus-python/extensions/nautilus_terminal.py
%{_datadir}/nautilus-terminal/

%if %{have_lang}

%files lang -f %{name}.lang
%endif

%changelog
* Sun Oct 12 2014 dimstar@opensuse.org
- Add nautilus-terminal-vte2.91.patch: Fix usage with Vte 2.91.
- Add vte-devel BuildRequires: needed in order to be able to detect
  if we need to apply the patch during build. If vte-2.91.pc exist,
  we apply the patch and make the resulting package depend on
  Vte 2.91.
* Mon Mar  4 2013 dimstar@opensuse.org
- Fix dependencies (bnc#807207):
  + Add gobject-introspection BuildRequires: Needed for the
    automatic typelib()-Requires generator.
  + Drop python-nautilus and python-gobject Requires: they are no
    longer needed, as nautilus-terminal was ported to pygobject.
* Wed Jan 18 2012 vuntz@opensuse.org
- Update to version 1.0:
  + Implement about dialog.
  + Add accelerators for copy/paste.
  + Implement drag and drop.
  + Bug fixes.
- Drop nautilus-terminal-gi-gobject.patch: fixed upstream.
* Wed Sep 28 2011 vuntz@opensuse.org
- Update to a bzr checkout of the GNOME 3 port (revision 9 of the
  1.x branch):
  + Rewrite for GNOME 3 technologies.
- Add nautilus-terminal-gi-gobject.patch: finish port to pygobject
  3.0, which has some differences with pygobject 2.x.
- Add python-gobject Requires as introspection-based bindings are
  now used.
- Drop python-vte Requires since we don't want the
  non-introspection-based bindings.
- Add python-xdg Recommends: this is an optional dependency, to
  find the configuration file for this extension.
- Mark package as noarch.
- Add have_lang macro, and make all the lang subpackage handling
  depend on its value. Set it to 0 for now, since there is no
  translation in the new branch.
* Thu Oct 28 2010 prusnak@opensuse.org
- Updated to version 0.7:
  + Fixes the "Terminal on desktop" bug
  + The terminal is now resizable with mouse (instead of buttons)
  + Updated translations.
- Changes from version 0.6:
  + Add optional scrollbar
  + Nautilus Terminal is now enabled for non-local folders (but
    with the path set on the home folder).
  + The install script now check the dependencies
  + The "terminal on desktop" bug is fixed (lp#642222)
  + Updated translations.
- Changes from version 0.5:
  + Fixes the refresh issue when the terminal is resized
  + Nautilus Terminal is again available in /media.
  + Nautilus Terminal Now support the drag & drop of file.
  + Updated translations.
- Changes from version 0.4:
  + Fixes a lot of bug and add some improvement (restart the shell
    after an "exit" command, Ctrl+Shift+T now toggle Show/Hide).
  + Updated translations.
* Mon Sep 13 2010 sbrabec@suse.cz
- New package, version 0.3.
